#ifndef CAIRO_TEXT_H
#define CAIRO_TEXT_H
#include <pango/pangocairo.h>
#include "cairo-widget.h"


#define DIYA_CAIRO_FONT_STYLE_NORMAL PANGO_STYLE_NORMAL
#define DIYA_CAIRO_FONT_STYLE_ITALIC PANGO_STYLE_ITALIC
#define DIYA_CAIRO_FONT_STYLE_OBLIQUE PANGO_STYLE_OBLIQUE

#define DIYA_CAIRO_FONT_WEIGHT_NORMAL PANGO_WEIGHT_NORMAL
#define DIYA_CAIRO_FONT_WEIGHT_BOLD PANGO_WEIGHT_BOLD

#define DIYA_CAIRO_TEXT_WRAP_WORD PANGO_WRAP_WORD
#define DIYA_CAIRO_TEXT_WRAP_CHAR PANGO_WRAP_CHAR
#define DIYA_CAIRO_TEXT_WRAP_WORD_CHAR PANGO_WRAP_WORD_CHAR

#define DIYA_TYPE_CAIRO_TEXT (diya_cairo_text_get_type ())
G_DECLARE_DERIVABLE_TYPE (DiyaCairoText, diya_cairo_text, DIYA, CAIRO_TEXT, DiyaCairoWidget)


struct _DiyaCairoTextClass
{
    DiyaCairoWidgetClass parent_class;
    void (*set_text)(gpointer object, const gchar* text);
    const gchar* (*get_text)(gpointer object);
};

void diya_cairo_text_set_text(gpointer object, const gchar* text);
const gchar* diya_cairo_text_get_text(gpointer object);
#endif